## NMDeviceModem NMDeviceModem |

## Functions

NMDeviceModemCapabilities | nm_device_modem_get_modem_capabilities ()
NMDeviceModemCapabilities | nm_device_modem_get_current_capabilities ()

## Properties

NMDeviceModemCapabilities | current-capabilities | Read
NMDeviceModemCapabilities | modem-capabilities | Read

## Types and Values

#define | NM_DEVICE_MODEM_MODEM_CAPABILITIES
#define | NM_DEVICE_MODEM_CURRENT_CAPABILITIES

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceModem

## Description

## Functions

### nm_device_modem_get_modem_capabilities ()

    NMDeviceModemCapabilities
    nm_device_modem_get_modem_capabilities
                                   (NMDeviceModem *self);

Returns a bitfield of the generic access technology families the modem supports. Not all capabilities are available concurrently however; some may require a firmware reload or reinitialization.

#### Parameters

self | a NMDeviceModem |

#### Returns

the generic access technology families the modem supports

### nm_device_modem_get_current_capabilities ()

    NMDeviceModemCapabilities
    nm_device_modem_get_current_capabilities
                                   (NMDeviceModem *self);

Returns a bitfield of the generic access technology families the modem supports without a firmware reload or reinitialization. This value represents the network types the modem can immediately connect to.

#### Parameters

self | a NMDeviceModem |

#### Returns

the generic access technology families the modem supports without a firmware reload or other reinitialization

## Types and Values

### NM_DEVICE_MODEM_MODEM_CAPABILITIES

    #define NM_DEVICE_MODEM_MODEM_CAPABILITIES   "modem-capabilities"

### NM_DEVICE_MODEM_CURRENT_CAPABILITIES

    #define NM_DEVICE_MODEM_CURRENT_CAPABILITIES "current-capabilities"

## Property Details

### The `“current-capabilities”` property

      “current-capabilities”     NMDeviceModemCapabilities

The generic family of access technologies the modem currently supports without a firmware reload or reinitialization.

Flags: Read

### The `“modem-capabilities”` property

      “modem-capabilities”       NMDeviceModemCapabilities

The generic family of access technologies the modem supports. Not all capabilities are available at the same time however; some modems require a firmware reload or other reinitialization to switch between eg CDMA/EVDO and GSM/UMTS.

Flags: Read